# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

DB_CONNSTR = 'mysql://iqportalsandbox:duMAbr8n@db.clusternet:3306/iqportal_sandbox?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportalsand_ro:duMAbr8n@db-ro.clusternet:3306/iqportal_sandbox?charset=utf8'

BASE_URL = 'http://iqportal-sandbox.basesoft.com/';

MONDRIAN_XMLA_SERVER = ('db.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-sandbox/xmla'
IQUBE_SERVLET = "http://db.clusternet:8080/iqube-sandbox/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-sandbox.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/sandbox/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'

SYSLOG_IDENT = 'iqportal-sandbox'

SCHEDULER_SERVER_PORT = 8045
SCHEDULER_SERVER_XMLRPC = 'http://ws3.clusternet:8045/'

EMAIL_SUBJECT_PREFIX = '[iqportal-sandbox] '

INSTALLED_APPS = BASE_APPS + IQUBE_APPS + IQREPORT_APPS + IQUEST_APPS + CLIENT_APPS
