# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

"""
iqportal.basesoft.com (live) settings
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *
from we.settings.settings import *
from iqportal.tnt.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

INSTALLED_APPS = INSTALLED_APPS + TNT_APPS + PVCYCLE_APPS + WE_APPS

DB_CONNSTR = 'mysql://iqportalstable:qES32eSw@db.clusternet:3306/iqportal_stable?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportalstab_ro:qES32eSw@db-ro.clusternet:3306/iqportal_stable?charset=utf8'

VMAIL_DB_CONNSTR = 'mysql://vmail:NXD3AB4t@db.clusternet:3306/vmail?charset=utf8'

BASE_URL = 'https://iqportal.basesoft.com/'

MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-stable/xmla'
IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-stable/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-stable.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/stable/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'
CONTACT_IMPORT_DIR = os.path.join(WRITABLE_DIRECTORY, 'contacts/')

LOGGER_SYSLOG_ADDRESS = ('syslog.clusternet', 514)
SYSLOG_IDENT = 'iqportal-stable'

SCHEDULER_SERVER_PORT = 8042
SCHEDULER_SERVER_XMLRPC = 'http://db4.clusternet:8042/'

GOOGLE_ANALYTICS_ID = 'UA-5140190-1' # check stats at www.google.com/analytics/ , user basesoft.solutions

EMAIL_SUBJECT_PREFIX = '[iqportal-stable] '

# this is needed for the ticketing app
TRAC_CONNSTR = 'http://IQPortal:m8metrU3@trac.iqportal.basesoft.com/login/xmlrpc'
TRAC_IQPORTAL_VERSION = 'stable'
TRAC_DB_CONNSTR = 'mysql://trac:tePRedutha2a@db.clusternet:3306/trac_iqportal?charset=utf8'

EMAIL_FROM_TNT = 'clm@tnt.com'
EMAIL_HOST_TNT = "mail-tnt.clusternet"
EMAIL_PORT_TNT = 10028

TNT_EMAIL_URL_FOR_INVITEES = 'http://clm.tnt.com/'

# Arvato settings
from iqportal.client import arvato
ARVATO_LOCAL_PATH = os.path.join(TMP_FILE_REPOSITORY, 'arvato')
ARVATO_GET_XML_CMD = '%s %s' % (os.path.join(arvato.__path__[0], 'bin', 'arvato_get_sftp.sh'), ARVATO_LOCAL_PATH)
ARVATO_LICENSE_NAME = 'Asus'

# ogone production settings
ORDER_OGONE_POST = 'https://secure.ogone.com/ncol/prod/orderstandard.asp'
