# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *
from we.settings.settings import *
from iqportal.tnt.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

#INSTALLED_APPS = INSTALLED_APPS + PVCYCLE_APPS + PVCYCLE_LOGISTICS + PVCYCLE_UAT + UAT_APPS
INSTALLED_APPS = INSTALLED_APPS + TNT_APPS + PVCYCLE_APPS + WE_APPS + PVCYCLE_UAT + UAT_APPS + WE_UAT


DB_CONNSTR = 'mysql://iqportaltesting:cuNucR9T@db.clusternet:3306/iqportal_testing?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportaltest_ro:cuNucR9T@db-ro.clusternet:3306/iqportal_testing?charset=utf8'

BASE_URL = 'http://iqportal-testing.basesoft.com/';

MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-testing/xmla'
IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-testing/IQubeXmlRpcServlet"


STATIC_SQUASHED_ROOT = '/var/www/iqportal-testing.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/testing/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'
CONTACT_IMPORT_DIR = os.path.join(WRITABLE_DIRECTORY, 'contacts/')

LOGGER_SYSLOG_ADDRESS = ('syslog.clusternet', 514)
SYSLOG_IDENT = 'iqportal-testing'

SCHEDULER_SERVER_PORT = 8041
SCHEDULER_SERVER_XMLRPC = 'http://db4.clusternet:8041/'

EMAIL_SUBJECT_PREFIX = '[iqportal-testing] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

EMAIL_HOST_TNT = "82.199.92.138"
EMAIL_PORT_TNT = 5025

VIRTUAL_DATE = True

# Arvato settings
#from iqportal.client import arvato
#ARVATO_LOCAL_PATH = os.path.join(TMP_FILE_REPOSITORY, 'arvato')
#ARVATO_GET_XML_CMD = '%s %s' % (os.path.join(arvato.__path__[0], 'bin', 'arvato_get_sftp.sh'), ARVATO_LOCAL_PATH)
#ARVATO_LICENSE_NAME = 'Asus'

SITE_NAME = 'Testing site'
SHOW_SITE_NAME = True

USE_MOCK_FILES = True
