# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_announce_manager': {
        'type': "js",
        'path': "announce_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", ]
    },

    'iq_announce_details': {
        'type': "js",
        'path': "announce_details-min.js",
        'requires': ['iq_details_panel', 'iq_wiki_plugin']
    },

    'iq_announce_boot': {
        'type': "js",
        'path': "announce_boot-min.js",
    },

    # recipient modules

    'iq_announce_recipient_panel': {
        'type': "js",
        'path': "announce_recipient_panel-min.js",
        'requires': ['iq_container', 'iq_announce_recipient_panel_scss']
    },

    'iq_announce_recipient_panel_scss': {
        'type': "scss",
        'path': "announce_recipient_panel-min.scss",
        'requires': ['iq_wiki_input_scss']
    },

    'iq_announce_recipient_manager': {
        'type': "js",
        'path': "announce_recipient_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", ]
    },

    'iq_announce_recipient_widget': {
        'type': "js",
        'path': "announce_recipient_widget-min.js",
        'requires': ['iq_announce_recipient_manager']
    },

}

env_modules = ('iq_announce_boot', )
