
# define base modules, these will be added to the dynamc modules in the end of this file
modules = {

    'iq_dashboard': {
        'type': "js",
        'path': "dashboard-min.js",
        'requires': [
            'layout', 'iq_dragdrop', 'button', 'iq_compose', 'iq_palette', 'iq_actionpalette',
                'iq_growl', 'iq_editor_manager', 'iq_dashboard_scss',
                'iq_compose_column_properties', "js_plumb", 'iq_wiki_input']
    },

    'iq_dashboard_manager': {
        'type': "js",
        'path': "dashboard_manager-min.js",
        'requires': [
            "iq_manager", "iq_custom_query"
        ]
    },

    'iq_dashboard_scss': {
        'type': "scss",
        'path': "dashboard-min.scss"
    },

    'iq_dashboard_share': {
        'type': 'js',
        'path': 'dashboard_share-min.js',
        'requires': ['iq_manager', 'iq_form_manager']
    },

    'iq_dashboard_text_widget': {
        'type': 'js',
        'path': 'dashboard_text_widget-min.js',
        'requires': ['iq_dashboard']
    },

    'iq_index_widget': {
        'type': 'js',
        'path': 'index_widget-min.js',
        'requires': ['iq_dashboard', 'iq_index_widget_scss']
    },

    'iq_index_widget_scss': {
        'type': 'scss',
        'path': 'index_widget-min.scss',
    },

}