# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_file': {
        'type': "js",
        'path': "file-min.js",
    },

    'iq_file_manager': {
        'type': "js",
        'path': "file_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query"]
    },

   'iq_file_widget': {
        'type': "js",
        'path': "file_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query"]
    },

    'iq_file_upload': {
        'type': "js",
        'path': "file_upload-min.js",
        'requires': ['uploader', 'iq_form_manager', 'autocomplete']
    },

    'iq_image_browser': {
        'type': "js",
        'path': "image_browser-min.js",
        'requires': ['jquery_carousel', 'iq_image_browser_scss', 'uploader', 'iq_form_manager', 'autocomplete']
    },

    'iq_image_browser_scss': {
        'type': "scss",
        'path': "image_browser-min.scss",
    },

    'iq_file_import_manager': {
        'type': "js",
        'path': "import_file_manager-min.js",
        'requires': ['iq_file', 'iq_custom_query', 'iq_manager', 'iq_display_csv_file_scss']
    },

    'iq_display_csv_file' : {
        'type': "js",
        'path': "file_display_csv-min.js",
        'requires': ['iq_container', 'iq_display_csv_file_scss'],

    },

    'iq_display_csv_file_scss' : {
        'type': "scss",
        'path': "file_display_csv-min.scss",
    },

}
