# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.
from basesoft.web.contrib.helpdesk.controllers import HelpdeskController


class HelpdeskRpcHandler:
    def __init__(self, request, **kwargs):

        self._request = request
        self._sa_session = request.Session()
        self._account_id = request.session['user_id']
        self._controller = HelpdeskController(self._sa_session, account_id=self._account_id, request=request)

    def get_faq(self):
        return self._controller.get_faq()


handlers = (HelpdeskRpcHandler, )