# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.core.util.controllers import AbstractController
from basesoft.web.contrib.branding.controllers import SiteController

class HomeController(AbstractController):

    def get_home_application(self):
        """
        This returns the name of the home application to be used by the bootloader.
        """

        if self._account is not None:
            return self.config.get('basesoft.web.contrib.home.default_application')


        sc = SiteController(self.sa_session, request=self.request)
        return sc.get_current_site().home_app
