# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
Base url config for license
"""

from django.conf.urls.defaults import url, patterns

from basesoft.web.contrib.license import views

urlpatterns = patterns('',
    url(r'^rpc/$', views.rpc),
    url(r'^domain_and_license_form_rpc/$', views.domain_and_license_form_rpc),
    url(r'^group_form_rpc/$', views.group_form_rpc),
    url(r'^hook_form_rpc/$', views.hook_form_rpc),
    url(r'^priv_form_rpc/$', views.priv_form_rpc),
    url(r'^custom_query/(\w+)/(\d+)/', views.custom_query),
    url(r'^object_browser/(\w+)/(\w+)/', views.object_browser),
    )