# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class MailManagerWidget(DashboardWidgetCQStateController):
    """
    Mail Overview Widget
    """
    label = _('Mail overview')
    name = 'iq_mail_overview_widget'
    #icon = '16x16/categories/applications-accessories.png'
    category = _('Mailing')
    permissions = ['view_mail']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('MailManagerWidget', MailManagerWidget),
])