# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_mail_manager': {
        'type': "js",
        'path': "mail_manager-min.js",
        'requires': ['iq_manager', "iq_custom_query"]
    },

    'iq_mail_overview_widget': {
        'type': "js",
        'path': "mail_widget-min.js",
        'requires': ['iq_mail_manager']
    },

    'iq_mail_panel': {
        'type': "js",
        'path': "mail_panel-min.js",
        'requires': ["iq_menu","iq_infobox","iq_container", "iq_form_manager", 'iq_editor_manager', 'iq_mail_panel_css', 'iq_privilege_object', 'iq_wiki_input']
    },

    'iq_mail_panel_css': {
        'type': 'css',
        'path': "mail_panel-min.css",
    },

    'iq_mail_translate_panel': {
        'type': "js",
        'path': "mail_translate_panel-min.js",
        'requires': ["iq_mail_translate_panel_css","iq_container", "iq_form_manager", 'iq_editor_manager', 'iq_wiki_input']
    },

    'iq_mail_translate_panel_css': {
        'type': 'css',
        'path': "mail_translate_panel-min.css",
    },

    'iq_mail_viewer': {
        'type': "js",
        'path': "mail_viewer-min.js",
        'requires': ['iq_mail_viewer_css', 'iq_container']
    },

    'iq_mail_viewer_css': {
        'type': "css",
        'path': "mail_viewer-min.css"
    },

    'iq_mailing': {
        'type': "js",
        'path': "mailing-min.js",
        'requires': ['iq_manager', 'iq_form_manager', 'iq_customdatatable', 'iq_mailing_scss']
    },

    'iq_mailing_scss': {
        'type': "scss",
        'path': "mailing-min.scss"
    },

    'iq_single_mail_panel': {
        'type': "js",
        'path': "single_mail_panel-min.js",
        'requires': ['iq_container', 'iq_form_manager']
    },
}
