# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController
from django.utils.translation import ugettext_lazy as _

class SchedulerServerWidget(DashboardWidgetStateController):
    """
    Widget to get access to the scheduler server
    """
    label = _("Scheduler server")
    name = "iq_scheduler_server_widget"
    icon = '16x16/apps/preferences-desktop-locale.png'
    category = _('Administration')
    permissions = ['scheduler_manager']
    classname = 'palette_group__menu--manager'

widgets_mapper = {'SchedulerServerWidget': SchedulerServerWidget}