# Copyright (c) 2012 BaseSoft B.V.
# See LICENSE for details.

"""
Task to clean up the session table
"""

from basesoft.scheduler.task import ScheduleTask
from basesoft.web.contrib.session.controllers import SessionController

class SessionCleanupTask(ScheduleTask):

    INTERVAL = 7200 # run every two hours

    def execute(self):
        sc = SessionController(self.sa_session)
        sc.cleanup_sessions()

tasks = (SessionCleanupTask,)
