'''
Created on Sep 2, 2013

@author: marten
'''
from django.http import HttpResponse

from basesoft.web.contrib.ticketing.controllers import TicketController, TicketMailController


def view_attachment(request, ticket_id, file_name):

    tc = TicketController(request.Session(), account_id=request.session['user_id'])
    content = tc.view_attachement(ticket_id, file_name)

    response = HttpResponse(content['content'], mimetype='application/octet-stream')
    response['Content-Length'] = len(content['content'])
    response['Accept-Ranges'] = 'bytes'
    response['Content-Disposition'] = 'attachment; filename="%s"' % content['filename']
    return response


def post_email_ticket(request):
    """
    view called by the process_ticket.py from the email server
    """
    ip = request.META.get('REMOTE_ADDR', None)
    assert ip.startswith('192.168.') or ip.startswith('127.') or ip.startswith('10.')

    tmc = TicketMailController()
    tmc.process_email(request.POST['raw_email'], request.POST['sender'])

    return HttpResponse('')
