# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

"""
Core controller module
"""
from basesoft.web.core.models import Log
from basesoft.web.core.util.controllers import AbstractController
import types

class LogController(AbstractController):
    """
    Contains methods for working with Log objects
    """

    def get_logs(self, id=None, priv=Log.PRIV_VIEW):
        """
        Gets logs from the database
        """
        self.assert_permissions('view_log')
        return self.get_privileged_object_by_id(Log, id, priv)

    def save_log(self, state):
        """
        Creates a log entry based on the given state and returns the id
        """
        return

