# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {
    'iq_mockup_fieldset' :{
        'type': "js",
        'path': "mockup_fieldset-min.js",
        'requires': ['iq_compose']
    },

    'iq_mockup_column' :{
        'type': "js",
        'path': "mockup_column-min.js",
        'requires': ['iq_compose']
    },

    'iq_mockup_item' :{
        'type': "js",
        'path': "mockup_item-min.js",
        'requires': ['iq_compose']
    },

    'iq_mockup_compose_css': {
        'type': "css",
        'path': "mockup_compose_manager-min.css"
    },

    'iq_mockup_compose': {
        'type': "js",
        'path': "mockup_compose_manager-min.js",
        'requires': [
                     'layout', 'iq_dragdrop', 'button', 'iq_compose',
                     'iq_growl', 'iqportal_init', 'iq_mockup_fieldset', 'iq_mockup_column', 'iq_mockup_item',
                     "dragdrop", 'iq_menu', 'iq_palette', 'iq_actionpalette', 'iq_history',
                    'iq_editor_manager', 'iq_form_manager', 'iq_infobox', 'iq_mockup_compose_css',

                    'autocomplete', 'uploader', 'iq_fancyselect', 'calendar', 'iq_dynamictable'
                    ]
    },

    'iq_mockup_overview' :{
        'type': "js",
        'path': "mockup_overview-min.js",
        'requires': ["iq_manager", "iq_custom_query"]
    },
}
