# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.


from django.conf.urls.defaults import url, patterns, include

from basesoft.web.mobile import views
from basesoft.web.core.urls import version_regex

urlpatterns = patterns ('',
    url(r'^$', views.mobile_home),
    url(r'^cache.manifest$', views.cache_manifest),
    url(r'^offline/$', views.offline),

    url(r'^bootstrap/%s/(\w+)/([\w|\,\-]*)$' % version_regex, views.bootstrap),

)
