# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

class SurveyParticipant(object):
    """
    @DynamicAttrs
    """

    contact = None
    invitee = None

    NO_RESPONSES = 0
    RESPONSES_INTERNET = 1
    RESPONSES_BACK_OFFICE = 2

    def __repr__(self):
        return '<SurveyParticipant id=%s>' % self.id


class SurveyParticipantSession(object):
    """
    @DynamicAttrs
    """

    id = None
    participant = None

class SurveyQAResponse(object):
    """
    @DynamicAttrs
    """
    participant = None
    question = None
    answer = None
    participant_session = None

class SurveyQAResponseHistory(object):
    """
    Contains all data removed from SurveyQAResponse
    @DynamicAttrs
    """
