# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

EEE_CATEGORIES = [{
    'label': 'Large household appliances',
    'subcategories': [
        'Large cooling appliances',
        'Refrigerators',
        'Freezers',
        'Other large appliances for refrigeration, conservation and storage of food',
        'Washing machines',
        'Clothes dryers',
        'Dish washing machines',
        'Cookers',
        'Electric stoves',
        'Electric hot plates',
        'Microwaves',
        'Other large appliances used for cooking and other processing of food',
        'Electric heating appliances',
        'Electric radiators',
        'Other large appliances for heating rooms, beds, seating furniture',
        'Electric fans',
        'Air conditioner appliances',
        'Other fanning, exhaust ventilation and conditioning equipment',
    ]
}, {
    'label': 'Small household appliances',
    'subcategories': [
        'Vacuum cleaners',
        'Carpet sweepers',
        'Other appliances for cleaning',
        'Appliances used for sewing, knitting, weaving and other processing of textiles',
        'Irons and other appliances for ironing, mangling and other care of clothing',
        'Toasters',
        'Fryers',
        'Grinders, coffee machines and equipment for opening or sealing containers or packages',
        'Electric knives',
        'Appliances for hair-cutting, hair drying, tooth brushing, shaving, massage and other body care appliances',
        'Clocks, watches and equipment for the purpose of measuring, indicating or registering time',
        'Scales'
    ]
}, {
    'label': 'IT and telecommunications equipment',
    'subcategories': [
        'Mainframes',
        'Minicomputers',
        'Printer units',
        'Personal computers (CPU, mouse, screen and keyboard included)',
        'Laptop computers (CPU, mouse, screen and keyboard included)',
        'Notebook computers',
        'Notepad computers',
        'Printers',
        'Copyright equipment',
        'Electrical and electronic typewriters',
        'Pocket and desk calculators',
        'Other products and equipment for the collection, storage, processing, presentation or communication of information by electronic means',
        'User terminals and systems',
        'Facsimile machine (fax)',
        'Telex',
        'Telephones',
        'Pay telephones',
        'Cordless telephones',
        'Cellular telephones',
        'Answering systems',
        'Other products or equipment of transmitting sound, images or other information by telecommunications'
    ]
}, {
    'label': 'Consumer equipment and photovoltaic panels',
    'subcategories': [
        'Radio sets',
        'Television sets',
        'Video cameras',
        'Video recorders',
        'Hi-fi recorders',
        'Audio amplifiers',
        'Musical instruments',
        'Other products equipment for the purpose of recording or reproducing sound or images, including signals or other technologies for the distribution of sound and image than by telecommunications',
        'Photovoltaic panels'
    ]
}, {
    'label': 'Lighting equipment',
    'subcategories': [
        'Luminaires for fluorescent lamps with the exception of luminaires in households',
        'Straight fluorescent lamps',
        'Compact fluorescent lamps',
        'high intesity discharge lamps, including pressure sodium lamps and metal halide lamps',
        'Low pressure sodium lamps',
        'Other lighting or quipment for the purpose of spreading or controlling light with the exception of filament bulbs'
    ]
}, {
    'label': 'Electrical and electronic tools',
    'subcategories': [
        'Drills',
        'Saws',
        'Sewing machines',
        'Equipment for turning, milling, sanding, grinding, sawing, cutting, shearing, drilling, making holes, punching, folding, bending or similar processing of wood, metal and other materials',
        'Tools for riveting, nailing or screwing or removing rivets, nails, screws or similar uses',
        'Tools for welding, soldering or similar use',
        'Equipment for spraying, spreading, dispersing, or other treatment of liquid or gaseous substances by other means',
        'Tools for mowing or other gardening activities'
    ]
}, {
    'label': 'Toys, leisure and sports equipment',
    'subcategories': [
        'Electric trains or car racing sets',
        'Hand-held video game consoles',
        'Video games',
        'Computers for biking, diving, running, rowing, etc.',
        'Sports equipment with electric or electronic components',
        'Coin slot machines'
    ]
}, {
    'label': 'Medical devices',
    'subcategories': [
        'Radiotherapy equipment',
        'Cardiology equipment',
        'Dialysis equipment',
        'Pulomonary ventilators',
        'Nuclear medicine equipment',
        'Laboratory equipment for in-vitro diagnosis',
        'Analysers',
        'Freezers',
        'Fertilization tests',
        'Other appliances for detecting, preventing, monitoring, treating, alleviating illnes, injury or disability'
    ]
}, {
    'label': 'Monitoring and control instruments',
    'subcategories': [
        'Smoke detector',
        'Heating regulators',
        'Thermostats',
        'Measuring, weighing or adjusting appliances for household or laboratory equipment',
        'Other monitoring and control instruments used in industrial installations (for example, in control panels)'
    ]
}, {
    'label': 'Automatic dispensers',
    'subcategories': [
        'Automatic dispensers for hot drinks',
        'Automatic dispensers for hot or cold bottles or cans',
        'Automatic dispensers for solid products',
        'Automatic dispensers for money',
        'All appliances which deliver automatically all kind of products'
    ]
}]

BAT_CATEGORIES = []
PAC_CATEGORIES = []