#!/usr/bin/env bash

set -e

while ! pidof syslog-ng; do
  echo "waiting for syslog.."
  sleep 5
done

while ! nc -z mysql 3306; do
  echo "waiting for mysql.."
  sleep 1
done

cd /code/iqportal

echo 'iqsyncdb..'
python related/bin/manage.py iqsyncdb --settings=$DJANGO_SETTINGS_MODULE

echo 'iqubesync..'
python related/bin/manage.py iqubesync --settings=$DJANGO_SETTINGS_MODULE

echo 'iqsyncdb..'
python related/bin/manage.py iqsyncdb --settings=$DJANGO_SETTINGS_MODULE

echo 'npm install..'
npm install

echo 'compile_es6.sh..'
cd /code/iqportal && ./related/bin/compile_es6.sh /code/

echo 'messages.py --compile..'
/code/iqportal/related/bin/messages.py --compile
