#!/usr/bin/python

from iqportal.sap.test.controllers import SAPTestController
from basesoft.web.contrib.account.models import Account
from basesoft.web.core.util.db import Session
from django.conf import settings

# gotta be careful where running this
if settings._wrapped.SETTINGS_MODULE  not in\
['basesoft.settings.stable', 'basesoft.settings.testing', 'basesoft.settings.sandbox']:

    sa_session = Session()
    account = sa_session.query(Account).filter(Account.name=='sysadmin').one()

    print "populating sap data.."
    c = SAPTestController(sa_session, account_id=account.id)
    c.populate()
