# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

"""
iqportal-demo.basesoft.com settings
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *
from weeeblackbox.settings.settings import *
from we.settings.settings import *

DEBUG = False
LATE_DEBUG = DEBUG

DB_CONNSTR = 'mysql://iqportaldemo:xJKg2dbv@db.clusternet:3306/iqportal_demo?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportaldemo_ro:xJKg2dbv@db-ro.clusternet:3306/iqportal_demo?charset=utf8'
DB_CONNSTR_WEEEBLACKBOX = 'mysql://weee_stable_ro:tUv5pRUx@db-ro.clusternet:3306/WEEEBLACKBOX_STABLE?charset=utf8'

BASE_URL = 'http://iqportal-demo.basesoft.com/'

MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-demo/xmla'
IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-demo/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-demo.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/demo/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'

LOGGER_SYSLOG_ADDRESS = ('syslog.clusternet', 514)
SYSLOG_IDENT = 'iqportal-demo'

SCHEDULER_SERVER_PORT = 8043
SCHEDULER_SERVER_XMLRPC = 'http://db4.clusternet:8043/'

EMAIL_SUBJECT_PREFIX = '[iqportal-demo] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

INSTALLED_APPS = INSTALLED_APPS + PVCYCLE_APPS + WEEEBLACKBOX_APPS + WE_APPS + PVCYCLE_UAT + UAT_APPS + WE_UAT


INSTALLED_APPS.extend([
    'iqportal.demo.core',
])

VIRTUAL_DATE = True

SITE_NAME = 'Demo site'
SHOW_SITE_NAME = True
