# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
iqportal-unstable.basesoft.com (live) settings
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *
from we.settings.settings import *

DEBUG = False
LATE_DEBUG = DEBUG

DB_CONNSTR = 'mysql://iqportalunstable:cuNucR9T@db.clusternet:3306/iqportal_prototype?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportalunsta_ro:cuNucR9T@db-ro.clusternet:3306/iqportal_prototype?charset=utf8'

BASE_URL = 'http://iqportal-prototype.basesoft.com/'

MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-prototype/xmla'
IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-prototype/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-prototype.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/prototype/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'

LOGGER_SYSLOG_ADDRESS = ('syslog.clusternet', 514)
SYSLOG_IDENT = 'iqportal-prototype'

SCHEDULER_SERVER_PORT = 8040
SCHEDULER_SERVER_XMLRPC = 'http://db4.clusternet:8040/'

EMAIL_SUBJECT_PREFIX = '[iqportal-prototype] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

INSTALLED_APPS = INSTALLED_APPS + PVCYCLE_APPS + WE_APPS + UAT_APPS  + WE_UAT

VIRTUAL_DATE = True

SITE_NAME = 'prototype'
SHOW_SITE_NAME = True
