# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *
from we.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

INSTALLED_APPS = INSTALLED_APPS + PVCYCLE_APPS + WE_APPS + PVCYCLE_UAT + UAT_APPS + WE_UAT

DB_CONNSTR = 'mysql://iqportal:iqportal@db4.vclusternet:3306/iqportal_testing?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportal_ro:iqportal@db4.vclusternet:3306/iqportal_testing?charset=utf8'

BASE_URL = 'http://iqportal_testing.vclusternet/';

MONDRIAN_XMLA_SERVER = ('db3.vclusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-testing/xmla'
IQUBE_SERVLET = "http://db3.vclusternet:8080/iqube-testing/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-testing-virtual.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/testing/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'
CONTACT_IMPORT_DIR = os.path.join(WRITABLE_DIRECTORY, 'contacts/')

LOGGER_SYSLOG_ADDRESS = ('syslog.clusternet', 514)
SYSLOG_IDENT = 'iqportal-testing'

SCHEDULER_SERVER_PORT = 8044
SCHEDULER_SERVER_XMLRPC = 'http://ws3.vclusternet:8041/'

EMAIL_SUBJECT_PREFIX = '[iqportal-testing] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

VIRTUAL_DATE = True
