# Copyright (c) 2012 BaseSoft B.V.
# See LICENSE for details.

modules = {
    'compose_publication_forms': {
        'type': "js",
        'path': "publication_forms-min.js",
        'requires': ['iq_manager', 'iq_customdatatable', 'calendar', 'iq_fancyselect', 'iq_form_manager', 'compose_publication_forms_scss']
    },
    'compose_publication_forms_scss': {
        'type': "scss",
        'path': "publication_forms-min.scss"
    },

    'compose_publication_details': {
        'type': "js",
        'path': "publication_details-min.js",
        'requires': ['iq_mailing', 'compose_publication_forms', 'compose_publication_details_css']
    },
    'compose_publication_details_css': {
        'type': "css",
        'path': "publication_details-min.css"
    },

    'compose_publication_wizard': {
        'type': "js",
        'path': "publication_wizard-min.js",
        'requires': ['compose_publication_wizard_css', 'iq_mailing',
                    'iq_compose', 'compose_publication_forms', 'iq_wizard']
    },

    'compose_publication_wizard_css': {
        'type': "css",
        'path': "publication_wizard-min.css"
    },

    'compose_login_css': {
        'type': "css",
        'path': "login-min.css",
    },
}
