# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {

    # FIXME: remove
    'iq_contact_scss': {
        'type': "scss",
        'path': "contact-min.scss"
    },

    'iq_contact_lists_manager': {
        'type': "js",
        'path': "contact_lists_manager-min.js",
        'requires': ['iq_manager', 'iq_custom_query', "iq_contact_scss"]
    },

    'iq_contacts_pool_manager': {
        'type': "js",
        'path': "contacts_pool_manager-min.js",
        'requires': ['iq_manager', 'iq_custom_query', "iq_contact_scss"]
    },

    'iq_contact_import_wizard': {
        'type': "js",
        'path': "contact_import_wizard-min.js",
        'requires': ['iq_form_manager', 'iq_wizard', 'iq_contact_list_linking',
                     "iq_dialog", "iq_growl", "uploader", "iq_fancyselect", "iq_privilege_object", "iq_customdatatable", 'iq_contact_scss']
    },

    'iq_contact_file_import': {
        'type': "js",
        'path': "file_import_status-min.js",
        'requires': ['iq_manager', 'iq_custom_query', 'iq_contact_scss']
    },

    'iq_contact_form': {
        'type': "js",
        'path': "contact_form-min.js",
        'requires': ['iq_form_manager', "iq_person_form",
                     "iq_address_form", "iq_fancyselect", "iq_privilege_object"]
    },

    'iq_contact_list_linking': {
        'type': "js",
        'path': 'contact_list_linking-min.js',
        'requires': ['iq_form_manager', "autocomplete", "iq_contact_scss", "iq_privilege_object"]
    },

    'iq_contact_list_merge_panel': {
        'type': "js",
        'path': 'contact_merge_panel-min.js',
        'requires': ['iq_form_manager']
    },

    'iq_person_form': {
        'type': "js",
        'path': "person_form-min.js",
        'requires': ["iq_form_manager", "iq_contact_forms_css", "calendar"]
    },

    'iq_address_form': {
        'type': "js",
        'path': "address_form-min.js",
        'requires': ["iq_form_manager", "iq_contact_forms_css"]
    },

    'iq_company_form': {
        'type': "js",
        'path': "company_form-min.js",
        'requires': ["iq_form_manager", "iq_contact_forms_css", "iq_company_form_scss"]
    },

    'iq_company_form_scss': {
        'type': "scss",
        'path': "company_form-min.scss",
        'requires': []
    },

    'iq_company_notes': {
        'type': "js",
        'path': "company_notes-min.js",
        'requires': ["iq_form_manager"]
    },
    'iq_bank_account_form': {
        'type': "js",
        'path': "bank_account_form-min.js",
        'requires': ["iq_form_manager", "iq_contact_forms_css"]
    },
    'iq_contact_forms_css': {
        'type': "css",
        'path': "contact_forms-min.css"
    },

    'contact_field_mapping': {
        'type': "js",
        'path': "field_mapping-min.js",
        'requires': ['iq_manager', 'iq_fancyselect', 'iq_custom_query']
    }
}
