'''
Created on Dec 22, 2014

@author: marten
'''
from django.utils.translation import ugettext_lazy as _

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from basesoft.util.ordered_dict import OrderedDict

class FileWidget(DashboardWidgetCQStateController):
    label = _('File manager')
    name = 'iq_file_widget'
    category = 'Management'
    permissions = ['file_manager']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('FileWidget', FileWidget, ),
])

