# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

from django.conf.urls.defaults import url, patterns

from basesoft.web.contrib.file import views

urlpatterns = patterns ('',
    url(r'^validation/$', views.validation),
    url(r'^upload/$', views.upload_file),
    url(r'^upload/rpc/$', views.upload_file_rpc),

    url(r'^view/([a-z0-9]{8}).*/(attachment)/(.+)$', views.view_file),
    url(r'^view/([a-z0-9]{8}).*/(attachment)/$', views.view_file),
    url(r'^view/([a-z0-9]{8}).*$', views.view_file),
)