# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

modules = {

    # TODO: only here until the website APP is really implemented.
    'iq_website': {
        'type': 'js',
        'path': 'website-min.js',
        'requires': ['iq_website_scss']
    },

    'iq_website_scss': {
        'type': 'scss',
        'path': 'website-min.scss'
    },


    'iq_forbidden': {
        'type': 'js',
        'path': 'forbidden-min.js',
        'requires': ['iq_website_scss', 'iq_forbidden_css']
    },

    'iq_forbidden_css': {
        'type': 'css',
        'path': 'forbidden-min.css'
    },

    'iq_top_menu' : {
        'type': 'js',
        'path': 'top_menu-min.js',
        'requires': ['iq_top_menu_scss']
    },

    'iq_top_menu_scss' : {
        'type': 'scss',
        'path': 'top_menu-min.scss',
        'requires': ['iconbar_dyn_scss']
    },

}