# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext_lazy as _

qas = [{
    'question': _("What is a Locale?"),
    'answer': _("A locale is a set of parameters which defines the user's language, region and special preferences like datetime formatting, currency display and number formatting."),
    'permissions': [],
    'category': _('Translations'),
},{
    'question': _("What does Current Locale mean?"),
    'answer': _('When you are dealing with translatable content, the Current Locale is the locale you are currently editing.'),
    'permissions': [],
    'category': _('Translations'),
},{
    'question': _("What is Fallback Locale?"),
    'answer': _('The Fallback Locale is used when a user tries to load translatable content but their preferred Locale has no translations available. It will then load the content defined for the Fallback Locale.'),
    'permissions': [],
    'category': _('Translations'),
}]