'''
Created on 25 Feb 2013

@author: martijn
'''
modules = {
    'jquery': {
        'type': 'js',
        'path': 'jquery-min.js',
    },

    'jquery_corner': {
        'type': 'js',
        'path': 'jquery.corner-min.js',
    },

    'jquery_selection': {
        'type': 'js',
        'path': 'jquery.selection-min.js',
    },

    'jquery_numpadDecSeparator': {
        'type': 'js',
        'path': 'jquery.numpadDecSeparator-min.js',
    },

    'jquery_carousel': {
        'type': 'js',
        'path': 'jquery.carousel-min.js',
        'requires': ['jquery_zoom']
    },

    'jquery_velocity': {
        'type': 'js',
        'path': 'jquery.velocity-min.js',
        'requires': []
    },

    'jquery_zoom': {
        'type': 'js',
        'path': 'jquery.elevatezoom-min.js',
    },

    'jquery_spinner': {
        'type': 'js',
        'path': 'jquery.spin-min.js',
    },

    # jquery ui start
    # for compatibility, these files must come from this branch
    # https://github.com/jquery/jquery-ui/tree/1-9-stable/ui

    'jquery_ui_core': {
        'type': 'js',
        'path': 'jquery.ui.core-min.js'
    },

    'jquery_ui_widget': {
        'type': 'js',
        'path': 'jquery.ui.widget-min.js',
        'requires': ['jquery_ui_core']
    },

    'jquery_ui_mouse': {
        'type': 'js',
        'path': 'jquery.ui.mouse-min.js',
        'requires': ['jquery_ui_core', 'jquery_ui_widget']
    },

    'jquery_ui_resizable': {
        'type': 'js',
        'path': 'jquery.ui.resizable-min.js',
        'requires': ['jquery_ui_mouse', 'jquery_resizable_css']
    },

    'jquery_resizable_css': {
        'type': 'css',
        'path': 'jquery.ui.resizable-min.css',
    },

    'jquery_ui_autocomplete': {
        'type': 'js',
        'path': 'jquery.ui.autocomplete-min.js',
        'requires': ['jquery_ui_core', 'jquery_ui_widget', 'jquery_ui_menu', 'jquery_ui_position', 'jquery_autocomplete_scss']
    },

    'jquery_autocomplete_scss': {
        'type': 'css',
        'path': 'jquery.ui.autocomplete-min.scss',
    },

    'jquery_ui_menu': {
        'type': 'js',
        'path': 'jquery.ui.menu-min.js',
        'requires': ['jquery_ui_core', 'jquery_ui_widget', 'jquery_ui_position', 'jquery_menu_scss']
    },

    'jquery_menu_scss': {
        'type': 'css',
        'path': 'jquery.ui.menu-min.scss',
    },

    'jquery_ui_position': {
        'type': 'js',
        'path': 'jquery.ui.position-min.js',
        'requires': ['jquery_ui_core', 'jquery_ui_widget']
    },

    # jquery ui end

    'jquery_iframe_transport': {
        'type': 'js',
        'path': 'jquery.iframe-transport.js',
    },

    'jquery_fileupload': {
        'type': 'js',
        'path': 'jquery.fileupload.js',
        'requires': ['jquery_ui_widget', 'jquery_iframe_transport', 'jquery_fileupload_scss']
    },

    'jquery_fileupload_scss': {
        'type': 'scss',
        'path': 'jquery.fileupload.scss'
    },

    'jquery_storage': {
        'type': 'js',
        'path': 'jquery.storageapi.js'
    },

    'jquery_waitforimages': {
        'type': 'js',
        'path': 'jquery.waitforimages-min.js'
    }
}
