'''
Created on Feb 19, 2014

@author: martijn
'''
import time
from datetime import datetime
from django.conf import settings

def post_process(conn):

    conn.execute("update tblDomain set http_host = null;")

    # set all virtual dates to today on a copy.
    conn.execute("update tblDomain set virtual_date = '%s' where isnull(virtual_date);" % time.strftime('%Y-%m-%d', datetime.now()))

    for k,v in settings.CPDB_DOMAIN_HOSTS.items():
        conn.execute("update tblDomain set http_host = %s where name = %s;", (v, k))

    conn.execute("update tblLicense set http_host = null;")
