'''
Created on Jan 28, 2014

@author: marten
'''
from django.utils.translation import ugettext, ugettext_lazy as _
from basesoft.web.core.config import DefaultConfig

class TicketingLicenseConfig(DefaultConfig):
    permissions = ('create_ticket', )
    label = _('Ticketing settings')

    def configs(self):
        return [{
            'name': 'basesoft.web.contrib.ticketing.always.cc',
            'label': ugettext('Always send a CC to')
        }]


license_configs = {
    'License' : (TicketingLicenseConfig(), )
}
