# Copyright (c) 2012 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class TicketOverviewWidget(DashboardWidgetCQStateController):
    """
    Ticket Overview Widget
    """
    label = _('Ticket overview')
    name = 'db_ticket_overview'
    icon = '16x16/categories/applications-accessories.png'
    category = _('Support')
    permissions = ['view_ticket']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('TicketOverviewWidget', TicketOverviewWidget),
])
