# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
All development middleware
"""

class RemoteAddrToInternalIp(object):
    """
    Middleware for adding the remote address to the list of INTERNAL_IPS
    """
    def process_request(self, request):
        from django.conf import settings
        settings.INTERNAL_IPS = (request.META['REMOTE_ADDR'], );
