# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iqube_mdx_compose_env' : {
        'type': "js",
        'path': "compose_env-min.js",
        'requires': []
    },

    'iqube_mdx_compose_manager': {
        'type': "js",
        'path': "compose_manager-min.js",
        'requires': [
            'history', "iq_dragdrop", 'iq_menu', 'iq_tabview', 'iq_infobox',
            'iq_palette', 'iq_actionpalette', 'iq_history', 'iq_form_manager',
            'iq_editor_manager', 'layout', 'iqube_mdx_compose_env', 'iqube_mdx_compose_manager_scss',
            "js_plumb"]
    },

    'iqube_mdx_compose_manager_scss' :  {
        'type': 'scss',
        'path': "compose_manager-min.scss",
    },

    'iqube_mdx_method_item' : {
        'type': "js",
        'path': "item_method-min.js",
        'requires': ['iqube_mdx_example_panel']
    },

    'iqube_calculated_member_item' : {
        'type': "js",
        'path': "item_calculated_member-min.js",
        'requires': []
    },

    'iqube_mdx_method_axis_item' : {
        'type': "js",
        'path': "item_method_axis-min.js",
        'requires': []
    },

    'iqube_mdx_method_except_item' : {
        'type': "js",
        'path': "item_method_except-min.js",
        'requires': ['iqube_mdx_method_item']
    },

    'iqube_mdx_method_iif_item' : {
        'type': "js",
        'path': "item_method_iif-min.js",
        'requires': ['iqube_mdx_method_item', 'iqube_mdx_return_type_panel']
    },

    'iqube_mdx_operator_item' : {
        'type': "js",
        'path': "item_operator-min.js",
        'requires': []
    },

    'iqube_mdx_set_property_item' : {
        'type': "js",
        'path': "item_property-min.js",
        'requires': ['iqube_mdx_example_panel']
    },

    'iqube_mdx_level_property_item' : {
        'type': "js",
        'path': "item_property-min.js",
        'requires': ['iqube_mdx_example_panel']
    },

    'iqube_mdx_member_property_item' : {
        'type': "js",
        'path': "item_property-min.js",
        'requires': ['iqube_mdx_example_panel']
    },

   'iqube_mdx_comparator_item' : {
        'type': "js",
        'path': "item_comparator-min.js",
        'requires': []
    },

    'iqube_mdx_tuple_expression_item' : {
        'type': "js",
        'path': "item_tuple_expression-min.js",
        'requires': []
    },

    'iqube_mdx_numerical_input_item' : {
        'type': "js",
        'path': "item_numerical_input-min.js",
        'requires': []
    },

    'iqube_mdx_string_input_item' : {
        'type': "js",
        'path': "item_string_input-min.js",
        'requires': []
    },

    'iqube_mdx_count_input_item' : {
        'type': "js",
        'path': "item_numerical_input-min.js",
        'requires': []
    },

    'iqube_mdx_repeater_item' : {
        'type': "js",
        'path': "item_repeater-min.js",
        'requires': ['iqube_mdx_return_type_panel']
    },

    'iqube_datasource_expression_item' : {
        'type': "js",
        'path': "item_datasource_expression-min.js",
        'requires': ['iq_fancyselect', 'iqube_datasource_expression_item_scss']
    },

    'iqube_datasource_expression_item_scss' : {
        'type': "scss",
        'path': "item_datasource_expression-min.scss"
    },

    'iqube_mdx_preview_runner' : {
        'type': "js",
        'path': "preview_runner-min.js",
        'requires': ['iq_container' ,'iqube_mdx_formula_wizard', 'iqube_mdx_syntax_highlight', 'iqube_cube_table', 'iqube_mdx_preview_runner_scss']
    },

    'iqube_mdx_preview_runner_scss' : {
        'type': "scss",
        'path': "preview_runner-min.scss",
    },

    'iqube_format_string_designer' : {
        'type': "js",
        'path': "format_string_designer-min.js",
        'requires': ['iq_container', 'iq_form_manager', 'colorpicker']
    },

    'iqube_format_string_manager' : {
        'type': "js",
        'path': "format_string_manager-min.js",
        'requires': ['iq_container', 'iq_custom_query', 'iq_manager']
    },

    'iqube_mdx_return_type_panel' : {
        'type': "js",
        'path': "return_type_panel-min.js",
        'requires': []
    },

   'iqube_mdx_example_panel' : {
        'type': "js",
        'path': "mdx_example_panel-min.js",
        'requires': ['iqube_mdx_syntax_highlight']
    }

}
